=== plugins/accounts/Makefile ===
include ../../nessus.tmpl

PLUGNAME=accounts

all : $(PLUGNAME).nes read_accounts.o

LO_OBJS = read_accounts.lo network.lo $(PLUGNAME).lo

network.lo : network.c
	$(LIBTOOL) $(CC) $(DEFS) $(include) -c network.c
	
read_accounts.lo : read_accounts.h
	$(LIBTOOL) $(CC) $(DEFS) $(include) -c read_accounts.c

accounts.lo : accounts.c
	$(LIBTOOL) $(CC) $(DEFS) $(include) -c  accounts.c	
	
	
accounts.nes : $(LO_OBJS)
	$(LIBTOOL) $(CC) $(DEFS) -o libaccounts.la $(LO_OBJS) $(LIBS) \
	-rpath $(rootdir)/bin/plugins
	../install_plug accounts $(rootdir)
clean :
	@rm -fr *.lo *.nes *.la .libs
	@rm -fr *.o accounts.h
