=== plugins/nfs_world_export/Makefile ===
include ../../nessus.tmpl

PLUGNAME=nfs_world_export

all : $(PLUGNAME).nes
$(PLUGNAME).nes : $(PLUGNAME).c showmount_funcs.c
	$(LIBTOOL) $(CC) $(DEFS) $(include) -c  $(PLUGNAME).c
	$(LIBTOOL) $(CC) $(DEFS) $(include) -c  showmount_funcs.c
	$(LIBTOOL) $(CC) -o lib$(PLUGNAME).la $(PLUGNAME).lo showmount_funcs.lo \
        $(LIBS) -rpath $(rootdir)/bin/plugins
	../install_plug $(PLUGNAME) $(rootdir)
clean :
	@rm -fr *.lo *.nes *.la .libs
	@rm -fr *.o
