=== plugins/queso/Makefile ===
include ../../nessus.tmpl

PLUGNAME=queso

all : $(PLUGNAME).nes
$(PLUGNAME).nes : $(PLUGNAME).c
	$(LIBTOOL) $(CC) $(DEFS) $(include) -c  $(PLUGNAME).c
	$(LIBTOOL) $(CC) $(DEFS) $(include) -c  tcpip.c
	$(LIBTOOL) $(CC) $(DEFS) $(include) -c  queso_orig.c
	$(LIBTOOL) $(CC) -o lib$(PLUGNAME).la $(PLUGNAME).lo tcpip.lo \
	queso_orig.lo $(LIBS) \
	-rpath $(rootdir)/bin/plugins
	../install_plug $(PLUGNAME) $(rootdir)


clean :
	@rm -fr *.lo *.nes *.la .libs
	@rm -fr *.o
