## nessus-plugins 1.0.10

=== Makefile ===
--- 
+++ 
@@ -8,16 +8,23 @@
 clean : 
 	cd plugins && ./make_world clean
 
-install : all
+install-updater :
+	test -d ${sbindir} || $(INSTALL_DIR) -m 755 ${sbindir}
+	$(INSTALL) -o $(installuser) -m 0555 nessus-update-plugins ${sbindir}/
+	@test -d ${mandir}/man8 || $(INSTALL_DIR) ${mandir}/man8
+	$(INSTALL) -o $(installuser) -m 0444 docs/nessus-update-plugins.8 ${mandir}/man8
+	
+	
+install : all $(INSTALL_UPDATER)
 	$(INSTALL_DIR) -m 755 ${libdir}/nessus
 	$(INSTALL_DIR) -m 755 ${libdir}/nessus/plugins
 
 	for scripts in scripts/*.nasl; do \
-	$(INSTALL) -o root -m 444 $$scripts ${libdir}/nessus/plugins; \
+	$(INSTALL) -o $(installuser) -m 444 $$scripts ${libdir}/nessus/plugins; \
 	done
 	
 	for plugins in bin/*.nes; do \
-	$(INSTALL) -o root -m 444 $$plugins ${libdir}/nessus/plugins; \
+	$(INSTALL) -o $(installuser) -m 555 $$plugins ${libdir}/nessus/plugins; \
 	done
 	
 	$(INSTALL_DIR) -m 755 ${libdir}/nessus/plugins_factory
@@ -37,5 +44,6 @@
 	$(INSTALL) -m 644 pf/nessus-build.1 ${mandir}/man1
 
 distclean : clean
-	rm -f libtool config.cache config.status config.log nessus.tmpl
+	rm -f libtool config.cache config.status config.log nessus.tmpl nessus-update-plugins
 	rm -f bin/*.nes pf/nessus-build plugins/queso/queso.h
+
