=== plugins/accounts/Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 	$(LIBTOOL) $(CC) $(DEFS) $(include) -c read_accounts.c
 
 accounts.lo : accounts.c
-	$(LIBTOOL) $(CC) $(DEFS) $(include) -c  accounts.c	
+	$(LIBTOOL) $(CC) $(DEFS) $(include) -DCONFIGDIR=\"${sysconfdir}\" -c  accounts.c	
 	
 	
 accounts.nes : $(LO_OBJS)
@@ -22,4 +22,4 @@
 	../install_plug accounts $(rootdir)
 clean :
 	@rm -fr *.lo *.nes *.la .libs
-	@rm -fr *.o accounts.h
+	@rm -fr *.o
