=== plugins/queso/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 all : $(PLUGNAME).nes
 $(PLUGNAME).nes : $(PLUGNAME).c
-	$(LIBTOOL) $(CC) $(DEFS) $(include) -c  $(PLUGNAME).c
+	$(LIBTOOL) $(CC) $(DEFS) $(include) -c  -DCONFDIR=\"${sysconfdir}\" $(PLUGNAME).c
 	$(LIBTOOL) $(CC) $(DEFS) $(include) -c  tcpip.c
 	$(LIBTOOL) $(CC) $(DEFS) $(include) -c  queso_orig.c
 	$(LIBTOOL) $(CC) -o lib$(PLUGNAME).la $(PLUGNAME).lo tcpip.lo \
