## nessus-plugins 2.2.4

=== plugins/hydra/Makefile ===
include ../../nessus.tmpl

PLUGNAME=hydra4nessus

all : hydra.nes
hydra.nes : $(PLUGNAME).c
	$(LIBTOOL) $(CC) $(DEFS) $(include) -c  $(PLUGNAME).c
	$(LIBTOOL) $(CC) $(DEFS) -o libhydra.la $(PLUGNAME).lo $(LIBS) \
	-rpath $(rootdir)/bin/plugins
	../install_plug hydra $(rootdir)
clean :
	@rm -fr *.lo *.nes *.la .libs
	@rm -fr *.o
