=== debian/changelog ===
nessus-plugins (2.2.8-1) unstable; urgency=low

  * New upstream release

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue,  6 Jun 2006 01:06:40 +0200

nessus-plugins (2.2.7-1) unstable; urgency=low

  * New upstream release
  * Restore ~1700 GPL plugins which were removed from the GPL feed 
    but were available in previous releases. Most of the plugins were
    copyrighted by Noam Rathaus or are related to the Debian or Gentoo
    local security checks based on their advisories. Some of them
    were rewritten by Tenable between the 2.2.3 and 2.2.5 release and 
    were moved into the non-free feed. This release includes the GPL
    plugins (previous to them being rewritten)
  * Remove the following plugins as they include files not available in the
    GPL feed: poptop_negative_read.nasl, smb_nt_ms02-006.nasl,
    smb_xp_ms01-059.nasl.
  * Fix typo in postrm (Closes: #337532)
  * Added Swedish Debconf translation provided by Daniel Nylander (Closes: #330553)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sat, 11 Mar 2006 20:59:00 +0100

nessus-plugins (2.2.5-7) unstable; urgency=low

  * Recompile to use libssl0.9.8

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Wed, 28 Dec 2005 12:03:02 +0100

nessus-plugins (2.2.5-6) unstable; urgency=low

  * Ammend the nessus-update-plugins-gpl manpage as it was not current.
  * Update describe-nessus-plugins to version 2.22 (27th september 2005)
  * Updated the FSF address in debian/copyright

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Mon, 17 Oct 2005 15:48:30 +0200

nessus-plugins (2.2.5-5) unstable; urgency=low

  * Recommend wget _and_ nessusd (not nessus) since the later provides the
    nessus-fetch package.
  * Added a hint to nessus-update-plugins to tip users into the installation
    of nessusd if nessus-fetch is not found.

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue, 27 Sep 2005 18:14:19 +0200

nessus-plugins (2.2.5-4) unstable; urgency=low

  * Describe in debian/README.rebuild.Debian how you can rebuild
    all the Nessus packages if you want to use the sources downloaded
    from nessus.org (since Ron Gula says that not doing it and 
    using Tenable's registered plugin feed is in violation of the license)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Fri,  2 Sep 2005 01:03:45 +0200

nessus-plugins (2.2.5-3) unstable; urgency=low

   * Add Dependency on "debconf | debconf-2.0" as requested by Joey Hess

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Wed, 31 Aug 2005 23:32:08 +0200

nessus-plugins (2.2.5-2) unstable; urgency=low

  * Proper build (not as a Debian-specific package)  (Closes: #322366)
  * Added debconf vietnamese translation sent by Clytie Siddall
   (Closes: #315801)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Wed, 10 Aug 2005 10:45:53 +0200

nessus-plugins (2.2.5-1) unstable; urgency=low

  * New upstream release
  * Use debhelper compatibility version 4 
  * Set myself as sole maintainer, Josip has not contributed to the
    packages in a long time.
  * Remove bashishms from debian maintainer scripts

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue,  9 Aug 2005 19:06:04 +0200

nessus-plugins (2.2.4-2) unstable; urgency=low

  * Use xargs instead of "rm -f $*" to clean plugins (Closes: #307185)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Mon,  2 May 2005 11:43:41 +0200

nessus-plugins (2.2.4-1) unstable; urgency=low

  * New upstream release
  * Added Czech debconf translation by Miroslav Kure (Closes: #298217)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue, 26 Apr 2005 11:08:50 +0200

nessus-plugins (2.2.3-1) unstable; urgency=high

  * New upstream release 
    (Priority set to high since this new version removes code which
    was not free)
  * This new version includes only the GPL licensed plugins, added
    a debian/NEWS file describing the current situation regarding
    plugin licenses, also updated the debian/copyright file
    (Closes: #291658)
  * Removed Hydra from the distibution (including original sources
    which have been repacked) since Hydra is not really free, see
    bug #258057)
  * Do not move the .desc directory when relocating plugins from
    the old location to the new one (Closes: #281444)
  * Introduce a nessus-update-plugins-gpl (based on nessus-update-plugins
    of previous release) for those that only want to download the latest
    GPL feed and not use nessus-fetch. Since nessus-fetch is provided
    by nessus-core (>= 2.2.3) and we do not want to depend on it.
  * Build-Depend on libpcap0.8-dev | libpcap-dev
  * Adjust scripts/gpl_feed.nasl so that it fits properly on a terminal
    (75 chars per line)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sat, 12 Feb 2005 22:37:40 +0100

nessus-plugins (2.2.0-4) unstable; urgency=low

  * Fix postrm since the /var/lib/nessus/plugins was not properly
    removed on purge if the directory contained downloaded plugin.
    Kept the check for /usr/lib/nessus/plugins just in case.

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Thu,  9 Dec 2004 11:32:44 +0100

nessus-plugins (2.2.0-3) unstable; urgency=low

  * Added debhelper token to preinst (lintian error)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sun,  5 Dec 2004 20:06:59 +0100

nessus-plugins (2.2.0-2) unstable; urgency=low

  * Fixed preinst so it will work in some special situations (when
    the package is downgraded and then upgraded back again)
  * Fixed nessus-update-plugins so that the pluginsdir check is done
    once the -d option has been parsed (Closes: #280625)
  * Rewrote find_update_plug() in config and postinst with the optimised
    version provided by Gael Queri (Closes: #281291)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Mon, 15 Nov 2004 17:19:36 +0100

nessus-plugins (2.2.0-1) unstable; urgency=low

  * New upstream release
  * Updated describe-nessus-plugin to version 2.10 (March 2004)

