## nessus-plugins 2.2.8-1.1

=== debian/changelog ===
nessus-plugins (2.2.8-1.1) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues.
  * Debconf translations:
    - Dutch added. Closes: #379116

 -- Christian Perrier <bubulle@debian.org>  Mon, 12 Feb 2007 19:29:13 +0100
