=== debian/control ===
Source: nessus-plugins
Section: admin
Priority: optional
Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@computer.org>
Build-Depends: debhelper (>= 4.1.13), libnessus-dev (>= 1.2), nessus-dev (>= 1.2), libgmp3-dev, libz-dev, libpcap0.8-dev | libpcap-dev, nmap, libnet1-dev
Standards-Version: 3.6.1.1

Package: nessus-plugins
Architecture: any
Depends: ${shlibs:Depends}, debconf | debconf-2.0
Recommends: wget, nessusd (>= 2.2.3), nmap, snmp
Description: Nessus plugins
 The Nessus Security Scanner is a security auditing tool. It makes
 possible to test security modules in an attempt to find vulnerable
 spots that should be fixed.
 .
 It is made up of two parts: a server, and a client. The server/daemon,
 nessusd, is in charge of the attacks, whereas the client, nessus,
 provides the user a nice X11/GTK+ interface.
 .
 This package contains Nessus plugins, and scripts to build additional
 plugins.
