=== debian/rules ===
#!/usr/bin/make -f
# Derived from dh_make example.

#export DH_VERBOSE=1
export DH_COMPAT=4

tmp := $(CURDIR)/debian/nessus-plugins

CFLAGS := -g -Wall
ifneq "$(findstring noopt,$(DEB_BUILD_OPTIONS))" ""
CFLAGS += -O0
else
CFLAGS += -O2
endif

build: build-stamp
build-stamp: config.status
	dh_testdir
	$(MAKE) 
	# Patch the examples according to our needs
	mkdir -p debian/extra
	cp  extra/update-nessus-plugins debian/extra/
	cp  extra/describe-nessus-plugin debian/extra/
	cd debian/extra && { for diff in ../*-nessus-plugin*.diff ; do \
		patch -p1 <$$diff ; \
	done }
	touch $@

config.status: configure
	CFLAGS="$(CFLAGS)" ./configure --sysconfdir=/etc --prefix=/usr \
          --mandir='$${prefix}/share/man' --localstatedir=/var/run \
          --with-fetchcmd=wget  --libdir=/var/lib

clean:
	dh_testdir
	dh_testroot
	touch nessus.tmpl
	[ ! -f Makefile ] || $(MAKE) distclean
	-rm -rf debian/extra
	dh_clean build-stamp

install: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	$(MAKE) install prefix=$(tmp)/usr sysconfdir=$(tmp)/etc localstatedir=$(tmp)/var/run libdir=$(tmp)/var/lib
	rm -rf $(tmp)/var/run 

binary-indep:
# Nothing to do, no arch-indep packages here.

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installdebconf
	dh_installdocs docs/plugins_api.txt  debian/README.rebuild.Debian
	dh_installexamples template.nasl debian/extra/update-nessus-plugins \
		debian/extra/describe-nessus-plugin
	dh_installchangelogs 
ifeq "$(findstring nostrip,$(DEB_BUILD_OPTIONS))" ""
	dh_strip
	strip --strip-unneeded --remove-section=.comment --remove-section=.note \
          $(tmp)/var/lib/nessus/plugins/*.nes
endif
	dh_compress
	dh_fixperms
	chmod -x $(tmp)/var/lib/nessus/plugins/*.nes
	dh_installdeb
	dpkg-shlibdeps -Tdebian/nessus-plugins.substvars \
          $(tmp)/var/lib/nessus/plugins/*.nes
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
