## nessus-plugins 2.2.10

=== Makefile ===
--- 
+++ 
@@ -12,12 +12,8 @@
 	test -d $(DESTDIR)${sbindir} || $(INSTALL_DIR) -m 755 $(DESTDIR)${sbindir}
 	$(INSTALL) -o $(installuser) -m 0555 nessus-update-plugins \
 		$(DESTDIR)${sbindir}
-	$(INSTALL) -o $(installuser) -m 0555 nessus-update-plugins-gpl \
-		$(DESTDIR)${sbindir}
 	@test -d $(DESTDIR)${mandir}/man8 || $(INSTALL_DIR) $(DESTDIR)${mandir}/man8
 	$(INSTALL) -o $(installuser) -m 0444 docs/nessus-update-plugins.8 \
-		$(DESTDIR)${mandir}/man8
-	$(INSTALL) -o $(installuser) -m 0444 docs/nessus-update-plugins-gpl.8 \
 		$(DESTDIR)${mandir}/man8
 
 install-dirs:
@@ -27,7 +23,7 @@
 		$(DESTDIR)${libdir}/nessus/plugins
 	
 install-nasl:	install-dirs
-	for scripts in scripts/*.nasl; do \
+	for scripts in scripts/*.nasl scripts/*.nbin; do \
 	$(INSTALL) -o $(installuser) -m 444 $$scripts \
 		$(DESTDIR)${libdir}/nessus/plugins; \
 	done
